<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>OperationManagementComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/operation-management.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>












            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./operation-management.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./operation-management.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                            <li>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#validateRoute">validateRoute</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#operationExists">operationExists</a>
                                </li>
                                <li>
                                    <a href="#votingMaterialValidated">votingMaterialValidated</a>
                                </li>
                                <li>
                                    <a href="#isTallyStarted">isTallyStarted</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, httpParameters: <a href="../injectables/HttpParameters.html">HttpParameters</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, ngZone: <a href="https://angular.io/api/core/NgZone" target="_blank">NgZone</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/operation-management.component.ts:20</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>httpParameters</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpParameters.html" target="_self" >HttpParameters</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>ngZone</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/core/NgZone" target="_blank" >NgZone</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="68" class="link-to-prism">src/app/operation/operation-management.component.ts:68</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/operation/operation-management.component.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateRoute"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            validateRoute
                            </b>
                            <a href="#validateRoute"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>validateRoute()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="72" class="link-to-prism">src/app/operation/operation-management.component.ts:72</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operation"></a>
                        <span class="name">
                            <b>
                            operation
                            </b>
                            <a href="#operation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/operation/operation-management.component.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operationStatus"></a>
                        <span class="name">
                            <b>
                            operationStatus
                            </b>
                            <a href="#operationStatus"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>operationStatus:     <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/operation/operation-management.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/operation-management.component.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operationExists"></a>
                        <span class="name"><b>operationExists</b><a href="#operationExists"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>operationExists()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/operation/operation-management.component.ts:28</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="votingMaterialValidated"></a>
                        <span class="name"><b>votingMaterialValidated</b><a href="#votingMaterialValidated"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>votingMaterialValidated()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/operation/operation-management.component.ts:32</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTallyStarted"></a>
                        <span class="name"><b>isTallyStarted</b><a href="#isTallyStarted"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isTallyStarted()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/operation/operation-management.component.ts:37</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, NgZone, OnDestroy, OnInit } from &#x27;@angular/core&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { Operation } from &#x27;./model/operation&#x27;;
import { NOT_REQUESTED, OperationStatus, VALIDATED } from &#x27;./model/operation-status&#x27;;
import { OperationManagementService } from &#x27;./service/operation-managment.service&#x27;;
import { Subscription } from &quot;rxjs/Subscription&quot;;
import { interval } from &#x27;rxjs/observable/interval&#x27;;
import { HttpParameters } from &#x27;../core/service/http/http.parameters.service&#x27;;

const CHECK_STATUS_INTERVAL &#x3D; 5000;

@Component({
  templateUrl: &#x27;./operation-management.component.html&#x27;,
  styleUrls: [&#x27;./operation-management.component.scss&#x27;]
})
export class OperationManagementComponent implements OnInit, OnDestroy {

  operation: Operation;
  operationStatus: OperationStatus;
  subscriptions: Subscription[] &#x3D; [];

  constructor(private operationManagementService: OperationManagementService,
              private httpParameters: HttpParameters,
              private router: Router, private ngZone: NgZone) {
    (&lt;any&gt;document)._forceStatusRefresh &#x3D; () &#x3D;&gt; operationManagementService.shouldUpdateStatus(false);
  }

  get operationExists() {
    return this.operation &amp;&amp; this.operationStatus;
  }

  get votingMaterialValidated() {
    return this.operationStatus.votingMaterialStatus.state &#x3D;&#x3D; VALIDATED;
  }


  get isTallyStarted() {
    return this.operationStatus.tallyArchiveStatus.state !&#x3D; NOT_REQUESTED;
  }

  ngOnInit() {
    this.subscriptions.push(
      this.operationManagementService.operation.subscribe((operation) &#x3D;&gt; {
        this.operation &#x3D; operation;
      }),

      this.operationManagementService.status.subscribe((status) &#x3D;&gt; {
        this.operationStatus &#x3D; status;
        this.validateRoute();
      }),
    );


    // for e2e testing : Protractor wait no more update get done and therefore wait interval to finish which never
    // occurs ...
    this.ngZone.runOutsideAngular(() &#x3D;&gt; {
      this.subscriptions.push(
        interval(CHECK_STATUS_INTERVAL)
          .subscribe(() &#x3D;&gt; {
            if (!this.httpParameters.stopBackgroundRequest.getValue()) {
              this.ngZone.run(() &#x3D;&gt; this.operationManagementService.shouldUpdateStatus(true));
            }
          })
      )
    });
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }

  private validateRoute() {
    if (this.operationExists) {
      let parametersRoute &#x3D; [&quot;operations&quot;, this.operation.id, &quot;parameters&quot;];
      let votingMaterialRoute &#x3D; [&quot;operations&quot;, this.operation.id, &quot;voting-material&quot;];
      let votingPeriodRoute &#x3D; [&quot;operations&quot;, this.operation.id, &quot;voting-period&quot;];
      let tallyRoute &#x3D; [&quot;operations&quot;, this.operation.id, &quot;tally&quot;];

      if (!this.router.isActive(this.router.createUrlTree(parametersRoute), false) &amp;&amp;
          !this.router.isActive(this.router.createUrlTree(votingMaterialRoute), false) &amp;&amp;
          !this.router.isActive(this.router.createUrlTree(votingPeriodRoute), false) &amp;&amp;
          !this.router.isActive(this.router.createUrlTree(tallyRoute), false)
      ) {
        if (this.operationStatus.tallyArchiveStatus.state !&#x3D; NOT_REQUESTED) {
          this.router.navigate(tallyRoute, {replaceUrl: true});
        } else if (this.operationStatus.votingMaterialStatus.state &#x3D;&#x3D; VALIDATED) {
          this.router.navigate(votingPeriodRoute, {replaceUrl: true});
        } else if (this.operationStatus.deploymentTarget !&#x3D;&#x3D; &#x27;NOT_DEFINED&#x27;) {
          this.router.navigate(votingMaterialRoute, {replaceUrl: true});
        } else {
          this.router.navigate(parametersRoute, {replaceUrl: true});
        }
      }
    }
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;section *ngIf&#x3D;&quot;operationExists&quot;&gt;
  &lt;chvote-header&gt;
    &lt;h1 id&#x3D;&quot;operationManagementHeaderTitle&quot;&gt;{{operation.longLabel}} &lt;span class&#x3D;&quot;operationDate&quot;&gt;{{operation.date | date:&#x27;dd.MM.yyyy&#x27; }}&lt;/span&gt;
    &lt;/h1&gt;
    &lt;deployment-summary [operation]&#x3D;&quot;operation&quot; [operationStatus]&#x3D;&quot;operationStatus&quot;&gt;&lt;/deployment-summary&gt;

    &lt;nav mat-tab-nav-bar id&#x3D;&quot;operationManagementNavBar&quot;&gt;
      &lt;a mat-tab-link
         routerLink&#x3D;&quot;parameters&quot;
         routerLinkActive
         #rla&#x3D;&quot;routerLinkActive&quot;
         [active]&#x3D;&quot;rla.isActive&quot;&gt;
        &lt;mat-icon
          *ngIf&#x3D;&quot;!operationStatus.configurationStatus.allSectionsInReadOnly &amp;&amp; operationStatus.configurationCompleteAndConsistent&quot;
          class&#x3D;&quot;complete&quot;&gt;check_circle
        &lt;/mat-icon&gt;
        &lt;mat-icon *ngIf&#x3D;&quot;operationStatus.configurationConsistencyErrors.length &gt; 0&quot;
                  class&#x3D;&quot;error&quot;&gt;warning
        &lt;/mat-icon&gt;
        &lt;mat-icon *ngIf&#x3D;&quot;operationStatus.configurationStatus.allSectionsInReadOnly&quot; class&#x3D;&quot;locked&quot;&gt;lock&lt;/mat-icon&gt;
        &lt;span class&#x3D;&quot;step-name&quot;&gt;{{&#x27;operation-management.step.configuration&#x27; | translate}}&lt;/span&gt;
      &lt;/a&gt;
      &lt;a *ngIf&#x3D;&quot;operationStatus.deploymentTarget !&#x3D;&#x3D; &#x27;NOT_DEFINED&#x27;&quot;
         mat-tab-link
         routerLink&#x3D;&quot;voting-material&quot;
         routerLinkActive
         #rla&#x3D;&quot;routerLinkActive&quot;
         [active]&#x3D;&quot;rla.isActive&quot;&gt;
        &lt;mat-icon
          *ngIf&#x3D;&quot;!operationStatus.votingMaterialStatus.readOnly &amp;&amp; operationStatus.votingMaterialCompleteAndConsistent&quot;
          class&#x3D;&quot;complete&quot;&gt;check_circle
        &lt;/mat-icon&gt;
        &lt;mat-icon *ngIf&#x3D;&quot;operationStatus.votingMaterialConsistencyErrors.length &gt; 0&quot;
                  class&#x3D;&quot;error&quot;&gt;warning
        &lt;/mat-icon&gt;
        &lt;mat-icon *ngIf&#x3D;&quot;operationStatus.votingMaterialStatus.readOnly&quot; class&#x3D;&quot;locked&quot;&gt;lock&lt;/mat-icon&gt;
        &lt;span class&#x3D;&quot;step-name&quot;&gt;{{&#x27;operation-management.step.voting-material&#x27; | translate}}&lt;/span&gt;
      &lt;/a&gt;
      &lt;a *ngIf&#x3D;&quot;votingMaterialValidated&quot;
         mat-tab-link
         routerLink&#x3D;&quot;voting-period&quot;
         routerLinkActive
         #rla&#x3D;&quot;routerLinkActive&quot;
         [active]&#x3D;&quot;rla.isActive&quot;&gt;
        &lt;mat-icon
          *ngIf&#x3D;&quot;!operationStatus.votingPeriodStatus.readOnly &amp;&amp; operationStatus.votingPeriodStatus.state !&#x3D; &#x27;INCOMPLETE&#x27;&quot;
          class&#x3D;&quot;complete&quot;&gt;check_circle
        &lt;/mat-icon&gt;
        &lt;mat-icon *ngIf&#x3D;&quot;operationStatus.votingPeriodStatus.readOnly&quot; class&#x3D;&quot;locked&quot;&gt;lock&lt;/mat-icon&gt;
        &lt;span class&#x3D;&quot;step-name&quot;&gt;{{&#x27;operation-management.step.voting-period&#x27; | translate}}&lt;/span&gt;
      &lt;/a&gt;
      &lt;a *ngIf&#x3D;&quot;isTallyStarted&quot;
         mat-tab-link
         routerLink&#x3D;&quot;tally&quot;
         routerLinkActive
         #rla&#x3D;&quot;routerLinkActive&quot;
         [active]&#x3D;&quot;rla.isActive&quot;&gt;
        &lt;mat-icon class&#x3D;&quot;complete&quot;&gt;check_circle&lt;/mat-icon&gt;
        &lt;span class&#x3D;&quot;step-name&quot;&gt;{{&#x27;operation-management.step.tally&#x27; | translate}}&lt;/span&gt;
      &lt;/a&gt;

    &lt;/nav&gt;
  &lt;/chvote-header&gt;


  &lt;div class&#x3D;&quot;chvote-content&quot;&gt;
    &lt;router-outlet&gt;&lt;/router-outlet&gt;
  &lt;/div&gt;

&lt;/section&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./operation-management.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.mat-tab-nav-bar {
  padding-top: 2rem;
}

.step-name {
  margin-left: 1rem;
}

.operationDate {
  font-weight: normal;
  font-size: 1.5rem;
  font-style: italic;
}

::ng-deep .td-edit-icon {
  display: none;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><section *ngIf="operationExists">  <chvote-header>    <h1 id="operationManagementHeaderTitle">{{operation.longLabel}} <span class="operationDate">{{operation.date | date:\'dd.MM.yyyy\' }}</span>    </h1>    <deployment-summary [operation]="operation" [operationStatus]="operationStatus"></deployment-summary>    <nav mat-tab-nav-bar id="operationManagementNavBar">      <a mat-tab-link         routerLink="parameters"         routerLinkActive         #rla="routerLinkActive"         [active]="rla.isActive">        <mat-icon          *ngIf="!operationStatus.configurationStatus.allSectionsInReadOnly && operationStatus.configurationCompleteAndConsistent"          class="complete">check_circle        </mat-icon>        <mat-icon *ngIf="operationStatus.configurationConsistencyErrors.length > 0"                  class="error">warning        </mat-icon>        <mat-icon *ngIf="operationStatus.configurationStatus.allSectionsInReadOnly" class="locked">lock</mat-icon>        <span class="step-name">{{\'operation-management.step.configuration\' | translate}}</span>      </a>      <a *ngIf="operationStatus.deploymentTarget !== \'NOT_DEFINED\'"         mat-tab-link         routerLink="voting-material"         routerLinkActive         #rla="routerLinkActive"         [active]="rla.isActive">        <mat-icon          *ngIf="!operationStatus.votingMaterialStatus.readOnly && operationStatus.votingMaterialCompleteAndConsistent"          class="complete">check_circle        </mat-icon>        <mat-icon *ngIf="operationStatus.votingMaterialConsistencyErrors.length > 0"                  class="error">warning        </mat-icon>        <mat-icon *ngIf="operationStatus.votingMaterialStatus.readOnly" class="locked">lock</mat-icon>        <span class="step-name">{{\'operation-management.step.voting-material\' | translate}}</span>      </a>      <a *ngIf="votingMaterialValidated"         mat-tab-link         routerLink="voting-period"         routerLinkActive         #rla="routerLinkActive"         [active]="rla.isActive">        <mat-icon          *ngIf="!operationStatus.votingPeriodStatus.readOnly && operationStatus.votingPeriodStatus.state != \'INCOMPLETE\'"          class="complete">check_circle        </mat-icon>        <mat-icon *ngIf="operationStatus.votingPeriodStatus.readOnly" class="locked">lock</mat-icon>        <span class="step-name">{{\'operation-management.step.voting-period\' | translate}}</span>      </a>      <a *ngIf="isTallyStarted"         mat-tab-link         routerLink="tally"         routerLinkActive         #rla="routerLinkActive"         [active]="rla.isActive">        <mat-icon class="complete">check_circle</mat-icon>        <span class="step-name">{{\'operation-management.step.tally\' | translate}}</span>      </a>    </nav>  </chvote-header>  <div class="chvote-content">    <router-outlet></router-outlet>  </div></section></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'OperationManagementComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'OperationManagementComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
